DNF5-REPOSYNC(8)

BEZEICHNUNG
dnf5-reposync - Reposync-Befehl

ÜBERSICHT

dnf5 [GLOBALE OPTIONEN] reposync [OPTIONEN]

BESCHREIBUNG

Der reposync-Befehl erstellt lokale Kopien von fernen Paketquellen. Pakete, die bereits im lokalen Verzeichnis vorhanden sind, werden nicht erneut heruntergeladen.

Standardmäßig gleicht reposync alle aktiven Paketquellen ab. Sie können jedoch mit normalen DNF5-Optionen wie --repo, --enable-repo oder --disable-repo die abzugleichenden Paketquellen einschränken.

OPTIONEN

    --arch=<Architektur>, -a <Architektur>
        lädt nur Pakete für die angegebene Architektur herunter. Diese Option kann mehrmals verwendet werden. Das Standardverhalten ist das Herunterladen von Paketen für alle Architekturen.

    --delete
        löscht lokale Pakete, die in der fernen Paketquelle nicht mehr vorhanden sind.

    --destdir=<Pfad>
        gibt den Wurzelpfad an, unter dem die heruntergeladenen Paketquellen gespeichert sind, relativ zum aktuellen Arbeitsverzeichnis. Standardmäßig ist dies das aktuelle Arbeitsverzeichnis. Jede heruntergeladene Paketquelle wird ein Unterverzeichnis in diesem Pfad haben, das nach der ID der Paketquelle in diesem Pfad benannt ist.

    --download-metadata
        lädt alle Paketquellen-Metadaten herunter. Die heruntergeladene Kopie ist direkt als Paketquelle verwendbar; es ist nicht nötig, createrepo_c darauf auszuführen. Wenn diese Option mit --newest-only verwendet wird, werden nur die neuesten Pakete heruntergeladen, aber die Metadaten werden weiterhin auch ältere Pakete enthalten. Es kann sinnvoll sein, die Metadaten mit createrepo_c --update zu aktualisieren, um aus den Metadaten die Pakete zu entfernen, deren zugehörige RPM-Dateien fehlen. Anderenfalls wird DNF mit einem Fehler wegen fehlender Dateien beendet, sobald es versucht, ältere Pakete herunterzuladen.

    --gpgcheck, -g
        entfernt Pakete, bei denen nach dem Herunterladen die Überprüfung der OpenPGP-Signatur fehlschlägt. Der Befehl wird mit dem Exit-Code 1 beendet, sobald mindestens ein Paket entfernt wird.

        Hinweis: Für Paketquellen, die mit gpgcheck=0 konfiguriert sind, werden OpenPGP-Signaturen nicht geprüft, auch dann nicht, wenn diese Option verwendet wird.

    --metadata-path=<Pfad>
        gibt den Wurzelpfad an, unter dem heruntergeladene Metadatendateien gespeichert werden. Standardmäßig der Wert von --destdir, falls nicht angegeben.

    --newest-only, -n
        lädt nur die neuesten Paketversionen aus jeder Paketquelle herunter.

    --norepopath
        fügt die ID der Paketquelle nicht zum Downloadpfad hinzu. Diese Option kann nur verwendet werden, wenn eine einzelne Paketquelle abgeglichen wird (standardmäßig wird die ID der Paketquelle hinzugefügt).

    --remote-time
        versucht, die Zeitstempel der lokal heruntergeladenen Dateien auf die Zeitstempel der fernen Dateien zu setzen.

    --safe-write-path=<Pfad>
        gibt das Dateisystempfad-Präfix an, unter dem reposync Dateien schreiben darf. Falls nichts angegeben ist, ist die Vorgabe der Download-Pfad der Paketquelle. Dies ist für Paketquellen nützlich, die relative Paketorte außerhalb des Paketquellenverzeichnisses verwenden (zum Beispiel ../packages_store/foo.rpm).

        Achtung: Jede Datei unter dem mit --safe-write-path angegebenen Pfad kann überschrieben werden. Diese Option kann nur beim Abgleich einer einzelnen Paketquelle verwendet werden.

    --srpm
        lädt Quellpakete herunter. Dies ist gleichbedeutend mit --arch=src.

    --urls, -u
        gibt die URLs der Dateien an, die heruntergeladen werden würden, lädt aber tatsächlich nichts herunter.

BEISPIELE

    dnf reposync --repoid=das_Repo
        gleicht alle Pakete aus der Paketquelle mit der Kennung die_Paketquelle ab. Die abgeglichene Kopie wird im Unterverzeichnis die_Paketquelle des aktuellen Arbeitsverzeichnisses gespeichert.

    dnf reposync --destdir=/Pfad/zu/meinen/Paketquellen --repoid=die_Paketquelle
        gleicht alle Pakete aus der Paketquelle die_Paketquelle ab. In diesem Fall werden Dateien im Verzeichnis /Pfad/zu/meinen/Paketquellen/die_Paketquelle gespeichert.

    dnf reposync --repoid=das_Repo --download-metadata
        gleicht alle Pakete und Metadaten aus der Paketquelle die_Paketquelle ab.

        Mit der Option --download-metadata abgeglichene Paketquellen können in DNF direkt verwendet werden, beispielsweise mit der Option --repofrompath:

        dnf --repofrompath=abgeglichenes_Repo,das_Repo --repoid=abgeglichenes_Repo list --available

Autor
Siehe AUTHORS.md in der dnf5-Quelldistribution.

Copyright
Mitwirkende am DNF5-Projekt.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).